CoCoALib - Design #1767

Finalize design for ideals in CoCoALib
31 Oct 2023 11:19 - Anna Maria Bigatti

Status: In Progress Start date: 31 Oct 2023
Priority: Normal Due date:

Assignee: % Done: 10%
Category: Data Structures Estimated time: 0.00 hour
Target version: CoCoALib-0.99900 Spent time: 0.20 hour
Description

Some functions for ideals are internally implemented changing the given ideal and returning void: myAdd, myMul, myElim, ...

For these functions | think we should instead have 2 arguments and return an ideal.
| cannot imagine (but | might be wrong) a case in which we actually want to modify the ideal and destroy the original.

Related issues:

Related to CoCoALib - Design #871: Redesign ideals New 26 Apr 2016
Related to CoCoALib - Design #1326: Modify function myElim so that it returns... Closed 03 Oct 2019
History

#1 - 31 Oct 2023 11:19 - Anna Maria Bigatti
- Related to Design #871: Redesign ideals added

#2 - 04 Jan 2024 10:18 - John Abbott

Also for exception cleanliness, an operation such as | += J would almost certainly have to compute a temporary ideal containing I+J, and then if that
succeeds, swap it into the correct place. This means that there no benefit in offering a low-level implementation for +=.

Can we change the implementation quickly & easily?

#3 - 15 Jan 2024 19:25 - John Abbott
- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#4 - 08 Mar 2024 17:26 - John Abbott
- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900

#5 - 15 Mar 2024 16:50 - Anna Maria Bigatti
- Related to Design #1326: Modify function myElim so that it returns ideal? (not quite) added
